Subject: bug#21868: closed (Re: bug#21868: Coreutils Expensive Test failure)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 09 Nov 2015 10:59:02 +0000

Your bug report

#21868: Coreutils Expensive Test failure

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
21868: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21868
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#21868: Coreutils Expensive Test failure
From: Pádraig Brady <[email-masked]>
To: [email-masked]
Date: Mon, 9 Nov 2015 10:58:31 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

On 09/11/15 07:52, jacobmanrrique wrote:
> Command issued: make RUN_EXPENSIVE_TESTS=yes check
> Previous commands:
> 
> ./configure --prefix=/tools --enable-install-program=hostname
> make
> 
> I was midway through compiling the temporary system in Linux From Scratch.
> 

I presume you have glibc-2.22, which does extraneous stat calls.

coreutils now avoids this issue with:
http://git.sv.gnu.org/gitweb/?p=coreutils.git;a=commitdiff;h=v8.24-13-gfd5f2b1

The glibc issue is tracked at:
https://sourceware.org/bugzilla/show_bug.cgi?id=18921

and fixed at:
https://sourceware.org/git/?p=glibc.git;a=commitdiff;h=5c8c3123

cheers,
Pádraig

Subject: Coreutils Expensive Test failure
From: jacobmanrrique <[email-masked]>
To: [email-masked]
Date: Mon, 9 Nov 2015 00:52:14 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Command issued: make RUN_EXPENSIVE_TESTS=yes check
Previous commands:

./configure --prefix=/tools --enable-install-program=hostname
make

I was midway through compiling the temporary system in Linux From Scratch.